<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Brave Björn</title>
    <link rel="icon" type="image/x-icon" href="assets/webpage/icon.png">
    <link href="style.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <script type="text/javascript" src="bjorn.js"></script>
</head>
<body class="pattern">
<audio
        loop
        id="music" src="assets/music/viking-theme.mp3" preload="auto">
</audio>
<audio
        loop
        id="runLoop" src="assets/music/runLoop.mp3" preload="auto">
</audio>


<div class="nav">
    <div class="nav12">
    <div class="nav1">
        <a onclick="view(); playSelect(); " class="score" id="scorebutton" style="cursor: pointer"> SCOREBOARD</a>
    </div>

    <div class="nav2">
        <a onclick="viewCredits(); playSelect();" class="credit" id="creditbutton" style="cursor: pointer"> CREDITS</a>
    </div>
    </div>

    <div class="nav3">
        <img src="assets/webpage/music.png" id="audioIcon" class="sound" style="display: none;" onclick="music()">
        <a href="https://gitlab.com/matt.ottenwelter/brave-bjoern" target="_blank"><img src="assets/webpage/gitlab.png"
                                                                                        class="icon"></a>
    </div>
</div>

<div class="game">
    <div id="allCredits" style="display: none">

        <img class="viking" src="assets/webpage/bjorn-idle.gif">

        <h1 style="font-size: 40px; color : #3f281d; text-align: center; padding-bottom : 20px;"> CREDITS</h1>

        <div style="text-align: center">

            <h3>MUSIC</h3>
            <h2>TonytheHero - If I had a hearth by Fever Ray (8bit)</h2>
            <br>
            <h3>Graphics</h3>
            <h2>Matthew.O</h2>
            <h2>Ansimuz - Sunny Land Assets</h2>
            <br>
            <h3>Code</h3>
            <h2>Matthew.O</h2>
        </div>
    </div>

</div>

<div id="myGame" style="display: block">

    <img class="viking2" id="viking2" src="assets/webpage/bjorn-idle.gif">

    <div class="game" style="margin-top: -20px">

        <a href="index.phtml" style="text-decoration: none; z-index: 10"><h1 class="logo"> BRAVE BJÖRN</h1></a>
        <img class="axe" src="assets/webpage/axes.png" width="200">

        <div class="container">

            <div class="tutorial" id="tutorial">
                <div style="display: flex; justify-content: space-evenly; margin-top: 70px; align-items: center;">
                    <div>
                        <div class="spacebar "> Spacebar</div>
                        <div class="tips"> use spacebar to <br>avoid obstacles</div>
                    </div>
                    <div>
                        <img src="assets/consumable/coin.gif" class="collect" width="80" height="80">
                        <div class="tips"> collect gold to <br>increase your score !</div>
                    </div>
                    <button onclick="play(); music(); playSelect(); runningSound();" class="playButton fe-pulse"
                            id="playButton"> PLAY
                    </button>
                </div>
            </div>

            <div class="pauseMenu" id="pauseMenu" style="display: none;">
                <h1 style="display: flex; justify-content: center; color: #ffede1; font-size: 150px; margin-top: 20%;">
                    PAUSED </h1>
            </div>

            <div class="gameOver" id="gameOver" style="display: none;">
                <div style="display: flex; flex-direction: column; align-items: center; justify-content: space-around;">
                    <img style="margin-top: -80px;" id="deadBjorn" width="400" alt="bjorn_ded">
                    <h1 style="display: flex; justify-content: center; color: #ffede1; font-size: 120px; margin-block-start: 0em;  margin-block-end: 0em; padding-top: 30px; ">
                        GAME OVER </h1>
                    <form action="sendScore.php" style="display: flex; flex-direction: column;" >
                        <div style=" display: flex; color: #ffede1; font-size: 30px; font-family: Armageda; padding-bottom: 30px; align-items: center">
                            <div style="padding-top: 5px;"> Score :</div>
                            <div id="endScore" style="padding-top: 5px; margin-left: 20px;"> </div>
                            <input type="hidden" id="playerScore" name="playerScore" value=" ">
                            <input type="text" placeholder="Enter Name" name="playerName"
                                   style=" margin-left: 30px; font-family: Armageda; font-size: 30px;" maxlength="20">
                        </div>
                        <input type="submit" value="Send Score & Try Again" class="score" id="playAgain"
                               style="cursor: pointer; padding-top: 15px; text-align: center"
                               onclick="playAgain(); playSelect(); runningSound();"> </input>
                    </form>
                </div>
            </div>


            <div id="bg1" class="sliding-background"></div>
            <div id="bg2" class="sliding-mountains"></div>
            <div id="bg3" class="sliding-forest"></div>
            <div id="ground" class="sliding-ground"></div>
            <h2 id="pause" class="pause" style="display: none; z-index: 25" onclick="pause();"> II </h2>
            <h2 id="showScore" class="scoreCount" style="display: none"></h2>
            <h2 id="showCoins" class="coinCount" style="display: none"> +50 </h2>

            <!-- Play -->
            <div id="spawn" class="spawn" style="display: none"></div>
            <div id="player" class="player" style="display: none"></div>

            <div id="ennemies" style="display: none">
                <div id="pig" class="pig"></div>
                <div id="wolf" class="wolf"></div>
                <div id="bird" class="bird"></div>
                <div id="bird2" class="bird2"></div>

            </div>

            <div id="consumables" style="display: none">
                <div id="coin1" class="coin1"></div>
                <div id="coin2" class="coin2"></div>
            </div>


        </div>
    </div>
</div>

<div id="scoreBoard" style="display: none;">

    <img class="running" src="assets/webpage/viking_run_1.gif">
    <img class="running2" src="assets/ennemies/pig.gif" >

    <div class="game"
    ">
    <h1 class="logo scoreboard" style="margin-top: -10px"> BRAVE BJÖRN</h1>
    <img class="axe scoreboard" src="assets/webpage/axes.png" width="300" style="margin-top: -230px;">

    <h1 style="font-size: 40px; margin-top: -30px; color : #3f281d; ; "> TOP 10</h1>

    <div class="leaderboard">
        <ol>
            <?php
            include('db_connection.php');
            ?>
        </ol>
    </div>
</div>
</div>
<h2 class="credits">Made with ♥ by <a href="https://matthewottenwelter.com/" target="_blank">Matt </a></h2>

</body>
</html>

<script>

    var deadBjorn = document.getElementById("deadBjorn");
    deadBjorn.src = "assets/player/viking_death.gif" + "?a=" + Math.random();

    document.body.onkeydown = function (e) {
        if (e.keyCode == 32) {
            setTimeout(jump(), 700)

        }

        if (e.keyCode == 80) {
            pause();
        }

    }




</script>

